# Remove-RASAVDHostPool.md

## NAME

Remove-RASAVDHostPool

## SYNOPSIS

The cmdlet removes an object of type Azure Virtual Desktop Host Pool.

## SYNTAX

**Remove-RASAVDHostPool** \[[Id](#id-string)] *(uint)* \[*(*[*CommonParameters*](#CommonParameters)*)*]

\*\*Remove-RASAVDHostPool \[-[InputObject](#inputobject)] *(*[*AVDHostPool*](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/avdhostpool.md)*)* \[*(*[*CommonParameters*](#CommonParameters)*)*]

**Remove-RASAVDHostPool** \[[Name](#name-string)] *(string)* \[\[-[SiteId](#siteid-string)] *(uint)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

Removes an Azure Virtual Desktop Host Pool

## PARAMETERS

## Name (string)

The name of the Azure Virtual Desktop Host Pool to remove from a site.

```
        Required?                    true

        Position?                    0

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## SiteId (uint)

Site ID from which to remove the Azure Virtual Desktop Host Pool.

If the parameter is omitted, the Licensing Server site ID will be used.

```
        Required?                    false

        Position?                    1

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Id (uint)

The ID of a Azure Virtual Desktop Host Pool to remove from the site.

To obtain the ID, use the Get-AVDHostPool cmdlet.

```
        Required?                    true

        Position?                    0

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## InputObject ([AVDHostPool](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/avdhostpool.md))

The Azure Virtual Desktop Host Pool Settings to remove from a site.

To obtain a Azure Virtual Desktop object, use the Get-AVDHostPool command.

```
        Required?                    true

        Position?                    0

        Default value                

        Accept pipeline input?       true (ByValue)

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

[AVDHostPool](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/avdhostpool.md)

## OUTPUTS

-none-

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Remove-RASAVDHostPool -Name "AVDHostPool"

Removes the AVD Host Pool with Name AVDHostPool.\
\*\*---------- EXAMPLE 2 ----------

Remove-RASAVDHostPool -Id 1

Removes the AVD Host Pool with Id 1.

## RELATED LINKS

* [Get-RASAVDHostPool](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasavdhostpool.md)
* [Set-RASAVDHostPool](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-rasavdhostpool.md)
* [New-RASAVDHostPool](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/new-rasavdhostpool.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/remove-rasavdhostpool.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
